Get a project
curl --request GET \
--url https://api.alpic.ai/v1/projects/{projectId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.alpic.ai/v1/projects/{projectId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.alpic.ai/v1/projects/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"teamId": "<string>",
"sourceRepository": "<string>",
"rootDirectory": "<string>",
"buildCommand": "<string>",
"buildOutputDir": "<string>",
"installCommand": "<string>",
"startCommand": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"productionEnvironment": {
"id": "<string>",
"name": "<string>",
"mcpServerUrl": "<string>",
"domains": [
{
"domain": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"latestDeployment": {
"id": "<string>",
"sourceCommitId": "<string>",
"sourceCommitMessage": "<string>",
"completedAt": "2023-11-07T05:31:56Z"
}
},
"environments": [
{
"id": "<string>",
"name": "<string>",
"sourceBranch": "<string>",
"mcpServerUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"projectId": "<string>",
"latestDeployment": {
"id": "<string>",
"sourceCommitId": "<string>",
"sourceCommitMessage": "<string>",
"completedAt": "2023-11-07T05:31:56Z"
}
}
]
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Not Found",
"data": "<unknown>"
}projects
Get a project
Get a project by ID
GET
/
v1
/
projects
/
{projectId}
Get a project
Authorizations
Bearer token for authentication. Use an API key from the API Keys page in team settings, or an OAuth access token.
Path Parameters
The ID of the project
Response
The project details
Available options:
python3.13, python3.14, node22, node24 Available options:
stdio, sse, streamablehttp Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I